Bug 181670 - [NEW PORT] devel/pear-SebastianBergmann_Version: Managing the version number of Git-hosted PHP projects
Summary: [NEW PORT] devel/pear-SebastianBergmann_Version: Managing the version number ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-30 05:10 UTC by Gasol Wu
Modified: 2013-11-12 19:00 UTC (History)
0 users

See Also:


Attachments
.shar (2.03 KB, text/plain)
2013-08-30 05:10 UTC, Gasol Wu
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gasol Wu 2013-08-30 05:10:00 UTC
Library that helps with managing the version number of Git-hosted PHP projects

WWW: https://github.com/sebastianbergmann/version

Generated with FreeBSD Port Tools 0.99_8 (mode: new)
Comment 1 Edwin Groothuis freebsd_committer 2013-08-30 05:10:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Bryan Drewery freebsd_committer 2013-09-22 15:11:32 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Back to the heap due to timeout
Comment 3 dfilter service freebsd_committer 2013-11-12 18:52:12 UTC
Author: antoine
Date: Tue Nov 12 18:52:03 2013
New Revision: 333599
URL: http://svnweb.freebsd.org/changeset/ports/333599

Log:
  New port: devel/pear-SebastianBergmann_Version
  Library that helps with managing the version number of Git-hosted PHP projects
  
  WWW: https://github.com/sebastianbergmann/version
  
  PR:		ports/181670
  Submitted by:	Gasol Wu

Added:
  head/devel/pear-SebastianBergmann_Version/
  head/devel/pear-SebastianBergmann_Version/Makefile   (contents, props changed)
  head/devel/pear-SebastianBergmann_Version/distinfo   (contents, props changed)
  head/devel/pear-SebastianBergmann_Version/pkg-descr   (contents, props changed)
Modified:
  head/devel/Makefile

Modified: head/devel/Makefile
==============================================================================
--- head/devel/Makefile	Tue Nov 12 18:22:08 2013	(r333598)
+++ head/devel/Makefile	Tue Nov 12 18:52:03 2013	(r333599)
@@ -3194,6 +3194,7 @@
     SUBDIR += pear-SebastianBergmann_FinderFacade
     SUBDIR += pear-SebastianBergmann_PHPCPD
     SUBDIR += pear-SebastianBergmann_PHPLOC
+    SUBDIR += pear-SebastianBergmann_Version
     SUBDIR += pear-Structure_LinkedList
     SUBDIR += pear-Structures_DataGrid
     SUBDIR += pear-Structures_DataGrid_Renderer_Console

Added: head/devel/pear-SebastianBergmann_Version/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/pear-SebastianBergmann_Version/Makefile	Tue Nov 12 18:52:03 2013	(r333599)
@@ -0,0 +1,27 @@
+# Created by: Gasol Wu <gasol.wu@gmail.com>
+# $FreeBSD$
+
+PORTNAME=	Version
+PORTVERSION=	1.0.1
+CATEGORIES=	devel pear
+MASTER_SITES=	http://pear.phpunit.de/get/
+PKGNAMEPREFIX=	pear-SebastianBergmann_
+
+MAINTAINER=	gasol.wu@gmail.com
+COMMENT=	Managing the version number of Git-hosted PHP projects
+
+LICENSE=	BSD
+
+BUILD_DEPENDS=	pear>=1.9.4:${PORTSDIR}/devel/pear \
+		${PEARDIR}/.channels/pear.phpunit.de.reg:${PORTSDIR}/devel/pear-channel-phpunit
+RUN_DEPENDS=	pear>=1.9.4:${PORTSDIR}/devel/pear \
+		${PEARDIR}/.channels/pear.phpunit.de.reg:${PORTSDIR}/devel/pear-channel-phpunit
+
+PEAR_CHANNEL=	phpunit
+PEAR_AUTOINSTALL=	yes
+
+IGNORE_WITH_PHP=52
+
+.include <bsd.port.pre.mk>
+.include "${PORTSDIR}/devel/pear/bsd.pear.mk"
+.include <bsd.port.post.mk>

Added: head/devel/pear-SebastianBergmann_Version/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/pear-SebastianBergmann_Version/distinfo	Tue Nov 12 18:52:03 2013	(r333599)
@@ -0,0 +1,2 @@
+SHA256 (PEAR/Version-1.0.1.tgz) = 7e9082b5fda7d2e302a4abb76a28cf476384bfa4774fdb747028445406b8c173
+SIZE (PEAR/Version-1.0.1.tgz) = 3939

Added: head/devel/pear-SebastianBergmann_Version/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/pear-SebastianBergmann_Version/pkg-descr	Tue Nov 12 18:52:03 2013	(r333599)
@@ -0,0 +1,3 @@
+Library that helps with managing the version number of Git-hosted PHP projects
+
+WWW: https://github.com/sebastianbergmann/version
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Antoine Brodin freebsd_committer 2013-11-12 18:52:52 UTC
State Changed
From-To: open->closed

New port added, thanks!